Last Comment Bug 770096 - Firefox 17.0a1 crash in mozilla::FrameLayerBuilder::DrawThebesLayer
: Firefox 17.0a1 crash in mozilla::FrameLayerBuilder::DrawThebesLayer
Status: RESOLVED FIXED
[native-crash]
: crash, regression, topcrash
Product: Core
Classification: Components
Component: Graphics: Layers (show other bugs)
: 17 Branch
: All All
: -- critical (vote)
: mozilla17
Assigned To: Matt Woodrow (:mattwoodrow) (PTO until 27 June)
:
Mentors:
Depends on: 777900
Blocks: 579558 dlbi
  Show dependency treegraph
 
Reported: 2012-07-02 00:55 PDT by Scoobidiver (away)
Modified: 2016-04-14 02:49 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Wallpaper fix (1.21 KB, patch)
2012-07-02 18:19 PDT, Matt Woodrow (:mattwoodrow) (PTO until 27 June)
roc: review+
Details | Diff | Review

Description Scoobidiver (away) 2012-07-02 00:55:43 PDT
It's #3 top crasher in today's build and first appeared in 16.0a1/20120701. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f08d285b63b0&tochange=d9d61d199b11
It's likely a regression from bug 539356.

Signature 	mozilla::FrameLayerBuilder::DrawThebesLayer(mozilla::layers::ThebesLayer*, gfxContext*, nsIntRegion const&, nsIntRegion const&, void*) More Reports Search
UUID	cc327d72-6f74-47de-92c9-a48082120702
Date Processed	2012-07-02 07:36:32
Uptime	30
Last Crash	42 seconds before submission
Install Age	2.0 minutes since version was first installed.
Install Time	2012-07-02 07:34:14
Product	Firefox
Version	16.0a1
Build ID	20120701030537
Release Channel	nightly
OS	Windows NT
OS Version	5.1.2600 Service Pack 3
Build Architecture	x86
Build Architecture Info	AuthenticAMD family 15 model 107 stepping 2
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0x18
App Notes 	
AdapterVendorID: 0x1002, AdapterDeviceID: 0x796e, AdapterSubsysID: 26151019, AdapterDriverVersion: 8.471.0.0
D3D10 Layers? D3D10 Layers- D3D9 Layers? D3D9 Layers- 
EMCheckCompatibility	True
Adapter Vendor ID	0x1002
Adapter Device ID	0x796e
Total Virtual Memory	2147352576
Available Virtual Memory	1887858688
System Memory Use Percentage	53
Available Page File	1818079232
Available Physical Memory	435339264

Frame 	Module 	Signature 	Source
0 	xul.dll 	mozilla::FrameLayerBuilder::DrawThebesLayer 	layout/base/FrameLayerBuilder.cpp:2814
1 	xul.dll 	mozilla::layers::BasicShadowableThebesLayer::PaintBuffer 	gfx/layers/basic/BasicThebesLayer.cpp:331
2 	xul.dll 	mozilla::layers::BasicThebesLayer::PaintThebes 	gfx/layers/basic/BasicThebesLayer.cpp:188
3 	gkmedias.dll 	_moz_cairo_set_matrix 	gfx/cairo/cairo/src/cairo.c:1544
4 	xul.dll 	gfxContext::UserToDevicePixelSnapped 	gfx/thebes/gfxContext.cpp:800

More reports at:
https://crash-stats.mozilla.com/report/list?signature=mozilla%3A%3AFrameLayerBuilder%3A%3ADrawThebesLayer%28mozilla%3A%3Alayers%3A%3AThebesLayer*%2C+gfxContext*%2C+nsIntRegion+const%26%2C+nsIntRegion+const%26%2C+void*%29
https://crash-stats.mozilla.com/report/list?signature=mozilla%3A%3AFrameLayerBuilder%3A%3ADrawThebesLayer
Comment 1 Matt Woodrow (:mattwoodrow) (PTO until 27 June) 2012-07-02 18:19:51 PDT
Created attachment 638561 [details] [diff] [review]
Wallpaper fix

Pretty sure this is what's crashing, and this should wallpaper over it.

It's hard to get further than this without being able to reproduce the issue. I think we're getting a ThebesLayer without any display items in it, since AddThebesDisplayItem is what initializes this var.
Comment 2 Matt Woodrow (:mattwoodrow) (PTO until 27 June) 2012-07-02 19:28:04 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/4e29b12a5d25
Comment 3 Ed Morley [:emorley] 2012-07-03 02:14:45 PDT
https://hg.mozilla.org/mozilla-central/rev/4e29b12a5d25
Comment 4 :Ehsan Akhgari (busy, don't ask for review please) 2012-07-03 18:01:00 PDT
Backed out as part of DLBI: https://hg.mozilla.org/mozilla-central/rev/4e29b12a5d25
Comment 5 Scoobidiver (away) 2012-07-24 13:02:28 PDT
It has appeared again since 17.0a1/20120724030551 after a partial landing of DLBI.
Comment 6 Matt Woodrow (:mattwoodrow) (PTO until 27 June) 2012-07-24 14:40:06 PDT
Relanded the fix onto inbound as https://hg.mozilla.org/integration/mozilla-inbound/rev/aa9634f67a55

I can't see any comments in the crash reports, would be nice to find STR for this.
Comment 7 Robert Kaiser (not working on stability any more) 2012-07-25 07:34:25 PDT
(In reply to Matt Woodrow (:mattwoodrow) from comment #6)
> I can't see any comments in the crash reports, would be nice to find STR for
> this.

There are comments in https://crash-stats.mozilla.com/report/list?signature=mozilla%3A%3AFrameLayerBuilder%3A%3ADrawThebesLayer%28mozilla%3A%3Alayers%3A%3AThebesLayer*%2C+gfxContext*%2C+nsIntRegion+const%26%2C+nsIntRegion+const%26%2C+void*%29 but they don't sound too helpful, for most I don't even know what language they are. We have a few email addresses there, though, we could try to reach out to those people if needed.

Top URLs (with more than 2 hits) are:
93 	http://vk.com/im
41 	http://www.facebook.com/
25 	about:blank
23 	https://www.facebook.com/
9 	https://www.facebook.com/login.php?login_attempt=1
8 	http://www.facebook.com/?ref=tn_tnmn
7 	about:home
7 	https://mail.google.com/mail/?shva=1#inbox
6 	about:sessionrestore
4 	https://www.facebook.com/?ref=tn_tnmn
3 	http://www.tabnak.ir/
3 	jar:file:///C:/Program%20Files/Mozilla%20Firefox/omni.jar!/chrome/browser/content/browser/aboutHome.xhtml
Comment 8 Ed Morley [:emorley] 2012-07-25 08:10:47 PDT
https://hg.mozilla.org/mozilla-central/rev/aa9634f67a55
Comment 9 Scoobidiver (away) 2012-07-25 11:28:48 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #7)
> There are comments
Those comments are about bug 579558.

> Top URLs (with more than 2 hits)
Same remark.
Comment 10 mortezar 2016-04-14 02:49:37 PDT
problem when opening this site,
http://www.gardeshgarha.com/
jar:file:///C:/Program%20Files/Mozilla%20Firefox/omni.jar!/chrome/browser/content/browser/aboutHome.xhtml

Note You need to log in before you can comment on or make changes to this bug.